For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • PUTUpsert
      • DELDelete
      • PATCHUpdate
      • HEADExists
LogoLogo
Sign upLog in
API ReferenceDomains

Upsert

PUT
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/domains/:domainId
PUT
/v1/landscapes/:landscapeId/versions/:versionId/domains/:domainId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.domains.upsert("landscapeId", "versionId", "domainId", {
8 body: {
9 name: "string",
10 },
11 });
12}
13main();
1{
2 "domain": {
3 "commit": 1.1,
4 "index": 1.1,
5 "labels": {},
6 "name": "string",
7 "handleId": "string",
8 "createdAt": "2024-01-15T09:30:00Z",
9 "createdBy": "user",
10 "createdById": "string",
11 "id": "string",
12 "landscapeId": "string",
13 "updatedAt": "2024-01-15T09:30:00Z",
14 "updatedBy": "user",
15 "updatedById": "string",
16 "version": 1.1,
17 "versionId": "string",
18 "deletedAt": "2024-01-15T09:30:00Z",
19 "deletedBy": "user",
20 "deletedById": "string",
21 "latestEntityId": "string"
22 }
23}
Was this page helpful?
Previous

Delete

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
domainIdstringRequired

Request

This endpoint expects an object.
namestringRequired
commitdoubleOptional
handleIdstringOptional
indexdoubleOptional
labelsmap from strings to stringsOptional

Response

OK
domainobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error